<h2>track npy</h2>
<script src="//unpkg.com/cross-fetch/dist/cross-fetch.js"></script>
<input name="track npy file:" type="file" id="trackFile">
<textarea style="width:500px;height: 400px" id="trackOutput"></textarea>
<script>
  const trackFile = document.getElementById("trackFile");
  const trackOutput = document.getElementById("trackOutput");
  trackFile.addEventListener("change", function () {
    const npyjs = new npyObject()
    if (this.files && this.files[0]) {
      let myFile = this.files[0];
      let reader = new FileReader();
      reader.addEventListener('load', function (e) {
        trackOutput.textContent = npyjs.parse(e.target.result);
      });
     reader.readAsBinaryString(myFile);
    }
  });
</script>
<input id="loadSample" type="button" value="load sample" onclick="loadSample();"/>

<script type="text/javascript" src="./javascript/npyObject.js"></script>
<script>
  const npyjs = new npyObject()
  function loadSample(){
    console.log('load ');
    jQuery.ajax({
                "crossDomain": true,
                 headers: {
                  'Access-Control-Allow-Origin': '*',
                  'Content-Type': 'application/x-www-form-urlencoded'
                },
                "url": baseTrackURL,
                "method": "GET"
      }).done(function (response) {
        const output = document.getElementById("output");
        
        output.value=npyjs.parse(response);
        console.log("loadsample data loaded")
      });
  }
</script>
